# Generated from object_spy-0.0.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name object_spy

Name: rubygem-%{gem_name}
Version: 0.0.1
Release: 1%{?dist}
Summary: Debugging tool for Rack based web apps to send Ruby metrics on ObjectSpace and Symbol
License: MIT
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(rspec)
# BuildRequires: rubygem(rack-test)
# BuildRequires: rubygem(cucumber)
# BuildRequires: rubygem(sinatra)
BuildArch: noarch

%description
Object Spy to send Ruby ObjectSpace and Symbol metrics.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# cucumber
# rspec spec
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%license %{gem_instdir}/LICENSE.txt
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/object_spy.gemspec
%{gem_instdir}/spec

%changelog
* Tue Sep 14 2021 mockbuilder - 0.0.1-1
- Initial package
